## Требования

- Helm 3+

## Установка

```console
helm -n monitoring upgrade --install prometheus-blackbox-exporter -f values.yml .
```

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| allowIcmp | bool | `false` |  |
| config.modules.http_2xx.http.follow_redirects | bool | `true` |  |
| config.modules.http_2xx.http.preferred_ip_protocol | string | `"ip4"` |  |
| config.modules.http_2xx.http.valid_http_versions[0] | string | `"HTTP/1.1"` |  |
| config.modules.http_2xx.http.valid_http_versions[1] | string | `"HTTP/2.0"` |  |
| config.modules.http_2xx.prober | string | `"http"` |  |
| config.modules.http_2xx.timeout | string | `"5s"` |  |
| configExistingSecretName | string | `""` |  |
| containerPort | int | `9115` |  |
| dnsConfig | string | `nil` |  |
| dnsPolicy | string | `nil` |  |
| extraArgs | list | `[]` |  |
| extraConfigmapMounts | list | `[]` |  |
| extraContainers | list | `[]` |  |
| extraEnv | object | `{}` |  |
| extraInitContainers | list | `[]` |  |
| extraSecretMounts | list | `[]` |  |
| extraVolumeMounts | string | `nil` |  |
| extraVolumes | list | `[]` |  |
| hostAliases | list | `[]` |  |
| hostNetwork | bool | `false` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"prom/blackbox-exporter"` |  |
| image.tag | string | `"v0.19.0"` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.hosts[0].paths[0].pathType | string | `"ImplementationSpecific"` |  |
| ingress.tls | list | `[]` |  |
| kind | string | `"Deployment"` |  |
| livenessProbe.httpGet.path | string | `"/health"` |  |
| livenessProbe.httpGet.port | string | `"http"` |  |
| networkPolicy.allowMonitoringNamespace | bool | `false` |  |
| networkPolicy.enabled | bool | `false` |  |
| nodeSelector | object | `{}` |  |
| pod.labels | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podDisruptionBudget | object | `{}` |  |
| priorityClassName | string | `""` |  |
| prometheusRule.additionalLabels | object | `{}` |  |
| prometheusRule.enabled | bool | `false` |  |
| prometheusRule.namespace | string | `""` |  |
| prometheusRule.rules | list | `[]` |  |
| pspEnabled | bool | `true` |  |
| readOnlyRootFilesystem | bool | `true` |  |
| readinessProbe.httpGet.path | string | `"/health"` |  |
| readinessProbe.httpGet.port | string | `"http"` |  |
| replicas | int | `1` |  |
| resources | object | `{}` |  |
| restartPolicy | string | `"Always"` |  |
| runAsNonRoot | bool | `true` |  |
| runAsUser | int | `1000` |  |
| secretConfig | bool | `false` |  |
| service.annotations | object | `{}` |  |
| service.labels | object | `{}` |  |
| service.port | int | `9115` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| serviceMonitor.bearerTokenFile | string | `nil` |  |
| serviceMonitor.defaults.additionalMetricsRelabels | object | `{}` |  |
| serviceMonitor.defaults.interval | string | `"30s"` |  |
| serviceMonitor.defaults.labels | object | `{}` |  |
| serviceMonitor.defaults.module | string | `"http_2xx"` |  |
| serviceMonitor.defaults.scrapeTimeout | string | `"30s"` |  |
| serviceMonitor.enabled | bool | `false` |  |
| serviceMonitor.scheme | string | `"http"` |  |
| serviceMonitor.targets | string | `nil` |  |
| serviceMonitor.tlsConfig | object | `{}` |  |
| strategy.rollingUpdate.maxSurge | int | `1` |  |
| strategy.rollingUpdate.maxUnavailable | int | `0` |  |
| strategy.type | string | `"RollingUpdate"` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
